package com.gingersoft.gsa.cloud.base.adapter.print;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.gingersoft.gsa.cloud.base.R;
import com.gingersoft.gsa.cloud.base.common.bean.BillMethodBean;
import com.gingersoft.gsa.cloud.database.bean.Food;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by Wyh on 2020/1/9.
 * 結賬方式
 */
public class BillTypeAdapter extends BaseQuickAdapter<BillMethodBean, BaseViewHolder> {

    public BillTypeAdapter(@Nullable List<BillMethodBean> data) {
        super(R.layout.base_print_item_bill_type, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, BillMethodBean item) {
        helper.setText(R.id.tv_total_amount_text, item.getName());
        helper.setText(R.id.tv_total_amount, item.getMoney() + "");
    }
}
